<!-- 
 * Licensed Materials - Property of IBM
 * com.ibm.datatools.xquery.ui
 * (C) Copyright IBM Corporation 2005. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 *   Use, duplication or disclosure restricted 
 *   by GSA ADP Schedule Contract with IBM Corp.
 */
-->
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text" indent = "yes"/> 
<xsl:variable name="xpath" select="/"/>
<xsl:template match="/">
	<xsl:for-each select="$xpath" >	 
		<xsl:if test="position()=1">
			<xsl:call-template name = "doone"/>
		</xsl:if>
	</xsl:for-each>
</xsl:template> 


<xsl:template  name="doone" >
		<xsl:choose>
			<xsl:when test="self::text()">
<xsl:if test="normalize-space(.)>0">
&lt;rawtext type="string"> <xsl:value-of select="."/>&lt;/rawtext>
</xsl:if>
			</xsl:when>
			<xsl:when test="self::comment()">
&lt;rawtext type="comment"> <xsl:value-of select="."/>&lt;/rawtext>
			</xsl:when>
			<xsl:when test="self::processing-instruction()">
&lt;pi name="<xsl:value-of select="name()"/>"><xsl:value-of select="."/>&lt;/pi>
				<xsl:for-each select="node()" >	 
					<xsl:call-template name = "doone"/>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
&lt;element>
&lt;name>&lt;rawtext type="string"><xsl:value-of  select="name()"/>&lt;/rawtext> &lt;/name>

<xsl:for-each select="namespace::node()" >
<xsl:if test="name()!='xml' and .!=''"  >&lt;namespace prefix="<xsl:value-of select="name()"/>" uri="<xsl:value-of  select="."/>"/></xsl:if></xsl:for-each> 
		<xsl:for-each select="@*" >	 
&lt;attribute>&lt;name>&lt;rawtext type="string"><xsl:value-of  select="name()"/>&lt;/rawtext> &lt;/name> &lt;rawtext type="string"> &lt;/rawtext> &lt;/attribute>
		</xsl:for-each>
		<xsl:for-each select="node()" >	 
			<xsl:call-template name = "doone"/>
		</xsl:for-each>
&lt;/element>
			</xsl:otherwise>
		</xsl:choose >

</xsl:template>
</xsl:stylesheet>
